Bug 1012064 - Ubuntu-packages listed as "Extra Packages" although they are very well known
Ubuntu-packages listed as "Extra Packages" although they are very well known
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 11:56 EDT by Philipp B.
Modified: 2015-10-09 04:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Extra Packages" listing (261.19 KB, image/png)
2013-10-28 05:45 EDT, Philipp B.
no flags Details
example: package passwd (10.38 KB, image/png)
2013-10-28 05:47 EDT, Philipp B.
no flags Details
example: package console-tools (10.52 KB, image/png)
2013-10-28 05:47 EDT, Philipp B.
no flags Details
subscribed channels (19.92 KB, image/png)
2013-10-28 05:48 EDT, Philipp B.
no flags Details

  None (edit)
Description Philipp B. 2013-09-25 11:56:00 EDT
Description of problem: 

Spacewalk lists many Ubuntu-packages as "Extra Packages" although it knows them very well, because they are included in the channels which the system is subscribed to and it is possible to update them.
When manually executing the "extra_packages_for_system"-query it shows no package_id. (Sample output bellow.) Maybe that's the reason?


Version-Release number of selected component (if applicable): 2.0

How reproducible:

Steps to Reproduce:

Actual results:
"Extra Packages" shows a lot of packages that "are not present in any of its channels". But in the same step, Spacewalk lists many of them under "Upgrades". After upgrading them, the new version is listed under "Extra Packages", too.

Expected results:
(almost) empty "Extra Packages" listing.


Additional info:
 package_id |    id_combo     |                     nvre                      |                          nvrea                          |             name        |         version         |     release | epoch | evr_id 
------------+-----------------+-----------------------------------------------+---------------------------------------------------------+-------------------------+-------------------------+------------------+-------+--------
            | 7270|18817|152  | acpid-2.0.10-1ubuntu3                         | acpid-2.0.10-1ubuntu3:1.amd64-deb                       | acpid                   | 2.0.10                  | 1ubuntu3   | 1     |  18817
            | 937|14192|142   | adduser-3.113ubuntu2-0                        | adduser-3.113ubuntu2-0.all-deb                          | adduser                 | 3.113ubuntu2            | 0          |       |  14192
            | 6576|18807|142  | apport-symptoms-0.16.1-0                      | apport-symptoms-0.16.1-0.all-deb                        | apport-symptoms         | 0.16.1                  | 0          |       |  18807
            | 2565|14412|152  | apt-0.8.16~exp12ubuntu10.12-0                 | apt-0.8.16~exp12ubuntu10.12-0.amd64-deb                 | apt                     | 0.8.16~exp12ubuntu10.12 | 0          |       |  14412
            | 6524|14412|152  | apt-transport-https-0.8.16~exp12ubuntu10.12-0 | apt-transport-https-0.8.16~exp12ubuntu10.12-0.amd64-deb | apt-transport-https     | 0.8.16~exp12ubuntu10.12 | 0          |       |  14412
            | 41718|14203|142 | apt-transport-spacewalk-1.0.6-2               | apt-transport-spacewalk-1.0.6-2.all-deb                 | apt-transport-spacewalk | 1.0.6                   | 2          |       |  14203
Comment 1 Philipp B. 2013-10-28 05:45:40 EDT
Created attachment 816741 [details]
"Extra Packages" listing
Comment 2 Philipp B. 2013-10-28 05:47:25 EDT
Created attachment 816743 [details]
example: package passwd
Comment 3 Philipp B. 2013-10-28 05:47:56 EDT
Created attachment 816744 [details]
example: package console-tools
Comment 4 Philipp B. 2013-10-28 05:48:23 EDT
Created attachment 816745 [details]
subscribed channels
Comment 5 Philipp B. 2013-10-28 05:48:53 EDT
Ok, I think I've messed up the OP, so, there we go.

I have a plain Ubuntu 12.04 client with 45 packages listed as/under "Extra Packages". 5 of them are legit, but the rest is definitely included in channels that are linked to the system. I've attached a few screenshots that show the "Extra Packages"-list and prove that the packages are definitely contained in channels that are linked to the client.

Note You need to log in before you can comment on or make changes to this bug.